package de.wwwu.awolf.model.communication;

import de.wwwu.awolf.presenter.algorithms.Algorithm;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class EvaluationData implements Data {
    private SubscriberType type;
    private List<Algorithm.Type> algorithmtypes;
    private List<Serializable> oneColumnresult;
    private Map<Algorithm.Type, Map<String, String>> multipleColumnResult;

    private int rowsPerColumn;
    private int column;
    private List<String> labels;

    public int getRowsPerColumn() {
        return rowsPerColumn;
    }

    public void setRowsPerColumn(int rowsPerColumn) {
        this.rowsPerColumn = rowsPerColumn;
    }

    public int getColumn() {
        return column;
    }

    public void setColumn(int col) {
        this.column = col;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> tableInput) {
        this.labels = tableInput;
    }

    public List<Algorithm.Type> getAlgorithmtypes() {
        return algorithmtypes;
    }

    public void setAlgorithmtypes(List<Algorithm.Type> algorithmtype) {
        this.algorithmtypes = algorithmtype;
    }

    public List<Serializable> getOneColumnresult() {
        return oneColumnresult;
    }

    public void setOneColumnresult(List<Serializable> oneColumnresult) {
        this.oneColumnresult = oneColumnresult;
    }

    public Map<Algorithm.Type, Map<String, String>> getMultipleColumnResult() {
        return multipleColumnResult;
    }

    public void setMultipleColumnResult(Map<Algorithm.Type, Map<String, String>> multipleColumnResult) {
        this.multipleColumnResult = multipleColumnResult;
    }

    @Override
    public SubscriberType getType() {
        return type;
    }

    @Override
    public void setType(SubscriberType type) {
        this.type = type;
    }
}
